SiliconFlow

创建batch任务

Upload files

POST
/batches
AuthorizationBearer <token>required

Use the following format for authentication: Bearer

In: header

input_file_idstringrequired

The ID of an uploaded file that contains requests for the new batch.

Example"file-jkvytbjtow"
endpointstringrequired

The endpoint to be used for all requests in the batch. Currently /v1/chat/completions is supported.

Example"/v1/chat/completions"
completion_windowstringrequired

The time frame within which the batch should be processed. The maximum value is 24 hours, and the minimum value is 336 hours.

Example"24h"
metadataobject

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.<\br>Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

replaceobject

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

idstring
Example"batch_rdyqgrcgjg"
objectstring
Example"batch"
endpointstring
Example"/v1/chat/completions"
errorsarray<string>
input_file_idstring
Example"file-jkvytbjtow"
completion_windowstring
Example"24h"
statusstring
Example"in_queue"
output_file_idstring
error_file_idstring
created_atinteger
Example1741685413
in_progress_atinteger
expires_atinteger
Example1741771813
finalizing_atinteger
completed_atinteger
failed_atinteger
expired_atinteger
cancelling_atinteger
cancelled_atinteger
request_countsobject

Empty Object

metadataobject

curl --request POST \
  --url https://api.siliconflow.cn/v1/batches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "input_file_id": "file-jkvytbjtow",
  "endpoint": "/v1/chat/completions",
  "completion_window": "24h",
  "metadata": {
    "description": "nightly eval job"
  },
  "replace": {
    "model": "deepseek-ai/DeepSeek-V3"
  }
}'
import requests

url = "https://api.siliconflow.cn/v1/batches"

payload = {
    "input_file_id": "file-jkvytbjtow",
    "endpoint": "/v1/chat/completions",
    "completion_window": "24h",
    "metadata": {"description": "nightly eval job"},
    "replace": {"model": "deepseek-ai/DeepSeek-V3"}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"input_file_id":"file-jkvytbjtow","endpoint":"/v1/chat/completions","completion_window":"24h","metadata":{"description":"nightly eval job"},"replace":{"model":"deepseek-ai/DeepSeek-V3"}}'
};

fetch('https://api.siliconflow.cn/v1/batches', options)
  .then(response => response.json())
  .then(response => console.log(response))
  .catch(err => console.error(err));      
{
  "id": "batch_rdyqgrcgjg",
  "object": "batch",
  "endpoint": "/v1/chat/completions",
  "errors": null,
  "input_file_id": "file-jkvytbjtow",
  "completion_window": "24h",
  "status": "in_queue",
  "output_file_id": null,
  "error_file_id": null,
  "created_at": 1741685413,
  "in_progress_at": null,
  "expires_at": 1741771813,
  "finalizing_at": null,
  "completed_at": null,
  "failed_at": null,
  "expired_at": null,
  "cancelling_at": null,
  "cancelled_at": null,
  "request_counts": null,
  "metadata": {
    "description": "nightly eval job"
  }
}
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"